/*
 * This file is part of LibNSLayout's tests
 * Licensed under the ISC License, http://opensource.org/licenses/ISC
 * Copyright 2015 Michael Drake <tlsa@netsurf-browser.org>
 */

#include "../test/test-loader.c"

/*
 * cd ../ && make && make install && cd dev/ && gcc `pkg-config libnslayout --cflags` main.c `pkg-config libnslayout --libs` && ./a.out ; cd ~/dev-netsurf/workspace/libnslayout/dev
 */


static void lwc_iterator(lwc_string *str, void *pw)
{
	printf("[%3u] %.*s", str->refcnt,
			(int)lwc_string_length(str),
			lwc_string_data(str));
}

int main(void)
{
	nslayout_init();
	test_loader("test-writing-mode.html", CSS_MEDIA_ALL, 15);
	nslayout_fini();

	printf("Reamining lwc strings:\n");
	lwc_iterate_strings(lwc_iterator, NULL);

	return EXIT_SUCCESS;
}
