/*
 * This file is part of LibNSLayout
 * Licensed under the ISC License, http://opensource.org/licenses/ISC
 * Copyright 2015 Michael Drake <tlsa@netsurf-browser.org>
 */

/** \file src/dom/event.h
 * Layout object handling
 */

#ifndef nslayout_dom_event_h_
#define nslayout_dom_event_h_

#include <libnslayout/nslayout.h>

nslayout_error nsl_dom_event_layout_init(nslayout_layout *layout);
nslayout_error nsl_dom_event_layout_fini(nslayout_layout *layout);

#endif
